/* tabs */
.tabs-content li
  display: none
  list-style: none

.tabs-content li.is-active
  display: block

.has-text-orbitron
  font-family: 'Orbitron'

/*
 *  Equal height of card components
 *  https://github.com/jgthms/bulma/issues/218#issuecomment-301706143
 *   https://github.com/jgthms/bulma/issues/218#issuecomment-592648516
 */

.card
  display: flex
  flex-direction: column
  height: 100%

.card-content
  height: 100%

//.card-footer
//  margin-top: auto

/*
 * sticky footer
 * https://github.com/jgthms/bulma/pull/366#issuecomment-282787326
 */

body
  display: flex
  min-height: 100vh
  flex-direction: column

.sticky-footer
  flex: 1 0 auto

/*********
 * glitch
 * inspired by https://codepen.io/anon/pen/MLdXZR
 ********/

@font-face
  font-family: 'Orbitron'
  font-style: normal
  src: url('../fonts/orbitron-medium.otf')

.glitch-container
  display: grid
  place-items: center
  font-size: 10px
  .glitch
    color: #fff
    font-size: 10em
    position: relative
    font-family: 'Orbitron'
    font-weight: 700
    &:before, &:after
      content: 'Sherif.ninja'
      position: absolute
      top: 0
      left: 0
      right: 0
      overflow: hidden
      color: #fff
    &:before
      left: 8px
      text-shadow: 2px 0 #00ffea
      animation: glitch 3s infinite linear
    &:after
      left: 8px
      text-shadow: -2px 0 #fe3a7f
      animation: glitch 2s infinite linear


//@function random_interval($min, $max)
//  @return floor(random()*($max - $min + 1) + $min)

// keyframes mixin
=keyframes($name)
  @-o-keyframes #{$name}
    @content
  @-webkit-keyframes #{$name}
    @content
  @-moz-keyframes #{$name}
    @content
  @-ms-keyframes #{$name}
    @content
  @keyframes #{$name}
    @content

+keyframes(glitch)
  0%
    clip: rect(100px, 9999px, 68px, 0)
  5%
    clip: rect(27px, 9999px, 19px, 0)
  10%
    clip: rect(93px, 9999px, 25px, 0)
  15%
    clip: rect(71px, 9999px, 36px, 0)
  20%
    clip: rect(34px, 9999px, 83px, 0)
  25%
    clip: rect(87px, 9999px, 83px, 0)
  30%
    clip: rect(78px, 9999px, 69px, 0)
  35%
    clip: rect(22px, 9999px, 50px, 0)
  40%
    clip: rect(50px, 9999px, 97px, 0)
  45%
    clip: rect(19px, 9999px, 95px, 0)
  50%
    clip: rect(79px, 9999px, 75px, 0)
  55%
    clip: rect(100px, 9999px, 34px, 0)
  60%
    clip: rect(35px, 9999px, 70px, 0)
  65%
    clip: rect(75px, 9999px, 63px, 0)
  70%
    clip: rect(42px, 9999px, 29px, 0)
  75%
    clip: rect(56px, 9999px, 60px, 0)
  80%
    clip: rect(56px, 9999px, 58px, 0)
  85%
    clip: rect(53px, 9999px, 84px, 0)
  90%
    clip: rect(94px, 9999px, 55px, 0)
  95%
    clip: rect(84px, 9999px, 88px, 0)
  100%
    clip: rect(50px, 9999px, 77px, 0)

//@keyframes glitch /* @keyframes + @-webkit-keyframes */
//  @for $i from 0 to 20
//    #{5 * $i}%
//      clip: rect(random_interval($i, 100)px, 9999px, random_interval($i, 100)px, 0)

/**********************
 * Animated background
 *********************/

canvas
  display: block
  vertical-align: bottom

#particles-js
  position: absolute
  background-repeat: no-repeat
  background-size: cover
  background-position: 50% 50%
  width: 100%
  height: 100%

// Responsive iframes
.iframe-responsive
  position: absolute
  top: 0
  left: 0
  bottom: 0
  right: 0
  width: 100%
  height: 100%

.iframe-1080
  position: absolute
  top: 0
  left: 0
  bottom: 0
  right: 0
  width: 1920px
  height: 1080px
  -ms-zoom: 0.35
  -moz-transform: scale(0.35)
  -moz-transform-origin: 0 0
  -o-transform: scale(0.35)
  -o-transform-origin: 0 0
  -webkit-transform: scale(0.35)
  -webkit-transform-origin: 0 0

.iframe-container
  position: relative
  overflow: hidden
  width: 100%
  height: 40vh

